### Name: LambertW-package
### Title: Lambert W Random Variables
### Aliases: LambertW-package LambertW
### Keywords: package

### ** Examples

## Replicate parts of the statistical analysis in the References
data(AA)
attach(AA)
X=AA[AA$sex=="f",]
y=X$bmi

op=par(no.readonly=TRUE)
normfit(y)

fit.gmm=IGMM(y)
summary(fit.gmm) # delta is significant and positive
plot(fit.gmm)
# Comparison of theoretical and empirical moments
mLambertW(fit.gmm$theta)
cbind(mean(y), sd(y), skewness(y), kurtosis(y))

x=get.input(y, fit.gmm$theta)
normfit(x) # input is normal -> MLE - Gaussian fit

fit.ml=MLE_LambertW(y)
summary(fit.ml)
plot(fit.ml)

## a finance example

M = ts(EuStockMarkets[201:1802,])
R = ts(diff(log(M))*100)

plot(M)
x11()
plot(R)

skewness(R[,"SMI"]) ## negative skewness
kurtosis(R[,"SMI"]) ## very high excess kurtosis

fit.SMI=IGMM(R[,"SMI"])
summary(fit.SMI) ## negative but small delta
x = get.input(R[,"SMI"], fit.SMI$theta)
normfit(x) # not normal
plot(ts(cbind(R[,"SMI"], x)), main="")

## MLE
fitML.SMI = MLE_LambertW(R[,"SMI"])
summary(fitML.SMI) 

fitMLt.SMI = MLE_LambertW(R[,"SMI"], "t")
summary(fitMLt.SMI)
plot(fitMLt.SMI, QQ=TRUE)



